%Yann-Al Le Borgne - October 2005 -
%www.ulb.ac.be/di/map/yleborgn/sensorNet

function [duration nbHeatSources radius heatPos heatIntensity]=getHeatSpec()
%radius: Radius of heat sources
%heatPos: matrix of size duration*nbHeatSources*2
%heatIntensity: Matrix of size duration*nbHeatSources

%Heat sources are static. They are switched on for 1 period of time and then
%switched off (alternance in heatIntensity)
%radii is 0.05

%This just sets a parabolic equation, with no heat source in the background
%(f=0)


staticPos=[-1.2 0.8; -1.2 -0.4; -1.2 -0.8; -0.6 0.4; -0.6 0;0 0; 0.6 0; 0.6 -0.4; 1.2 0.8; 1.2 0.4;1.2 -0.8];

%For 1 source:
%indexSources=[6;7;5;3;9;11;1;4;8;2];
%Change here indexSources table for 2 or 3 sources design
%indexSources=[5 7;1 3;10 2;8 11;3 9;5 9;6 3;4 11;6 10;1 6];
indexSources=[3 8 6;2 10 9;2 9 5;7 6 3;2 9 4;10 11 3;5 1 6;4 5 2;4 10 2;5 9 2];
%Duration is 20 because for each of the ten sets of locations, sources are
%first on, then off
duration=20;
nbHeatSources=3;
nbPositioning=size(indexSources,1);
nbHeatSources=size(indexSources,2);
heatPos=zeros(nbPositioning*2,nbHeatSources,2);

%for i=1:nbHeatSources
    for j=1:nbPositioning
        heatPos(j*2-1,:,:)=staticPos(indexSources(j,:),:);
        heatPos(j*2,:,:)=staticPos(indexSources(j,:),:);
    end
%end

heatIntensity1=[2000*ones(1,nbHeatSources);zeros(1,nbHeatSources)];
heatIntensity=heatIntensity1;
for i=1:(nbPositioning-1)
    heatIntensity=[heatIntensity;heatIntensity1];
end

radius=0.05;
